<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:output method="text"/>
    
    <xsl:template match="/">
        <xsl:apply-templates select="./ul/li"/>
    </xsl:template>
    
<xsl:template match="li">
<xsl:value-of select="span[@class='name']"/>;<xsl:value-of select="substring(span/span[@class='value'],1,1)"/><xsl:text>
</xsl:text>
</xsl:template>
    
</xsl:stylesheet>